/**
 * DisplaySimulatorAPI.java
 * 
 * Time-stamp: <2005-04-04 11:52:38 ftaiani>
 * @author Francois Taiani   <f.taiani@computer.org>
 * $Id: DisplaySimulatorAPI.java,v 1.2 2005/04/04 11:20:02 ftaiani Exp $
 * 
 */

/**
 * @author Francois Taiani   <f.taiani@computer.org>
 */
public class DisplaySimulatorAPI {

    GenericTestBed myTestBed ;

    public DisplaySimulatorAPI(GenericTestBed aTestBed) {
	myTestBed = aTestBed ;
    } // EndConstructor DisplaySimulatorAPI

    public String readOutputDisplay() {
	String result = Display.readOutputDisplay() ;
	myTestBed.printMessage("readOutputDisplay: result is "+result);
	return result ;
    } // EndMethod readDisplayOutput

    public String readLastDoseDisplay() {
	String result = Display.readLastDoseDisplay() ;
	myTestBed.printMessage("readLastDoseDisplay: result is "+
			       result);
	return result ;
    } // EndMethod readDisplayDose

    public int readClockDisplay() {
	int result = Display.readClockDisplay() ;
	myTestBed.printMessage("readClockDisplay: result is "+
			       result+"s");
	return result ;
    } // EndMethod readDisplayClock

    public void pushButtonOperatorModeChange() {
	String newMode = Display.TheDisplay.switchMode();
	myTestBed.printMessage("pushButtonOperatorModeChange: "+
			       "new mode is "+newMode);
	
    } // EndMethod pushButtonOperatorModeChange

    public void pushButtonAdministerInsulin(int dose) {
	if (Display.TheDisplay.mode == 3) { // Only allow insulin to be
	                         // administered when in MANUAL mode
	    myTestBed.printMessage("pushButtonAdministerInsulin("+dose+")");
	    Controller.SetDose(dose);
	} // EndIf
	else
	    myTestBed.printMessage("pushButtonAdministerInsulin: "+
				   "*Error*: Not in Manual mode!");
    } // EndMethod pushButtonAdministerInsulin

} // EndClass DisplaySimulatorAPI
