/**
 * ToyTestBed.java
 * 
 * Time-stamp: <2005-02-15 16:57:02 ftaiani>
 * @author Francois Taiani   <f.taiani@computer.org>
 * $Id: ToyTestBed.java,v 1.1 2005/02/15 17:20:29 ftaiani Exp $
 * 
 */

/**
 * A minimal test bed class to demonstrate the use of {@link
 * GenericTestBed}.
 *
 * You can run this ToyTestBed by using<p>
 *
 * <code>java ToyTestBed</code>
 *
 * @author Francois Taiani   <f.taiani@computer.org>
 */
public class ToyTestBed extends GenericTestBed {

    public void aNewSecondHasPassed() {
	if (getSimulationTime()==5)
	    hardware.removeInsulinReservoir() ;
	if (getSimulationTime()==7)
	    display.pushButtonAdministerInsulin(4) ;
	if (getSimulationTime()>10)
	    destroyInsulinPump();
    } // EndMethod aNewSecondHasPassed

    public static void main(String[] args) {
 	ToyTestBed testBed = new ToyTestBed() ;
	testBed.setDurationOfOneSecondInMS(500); // twice faster
	testBed.launchNewInsulinPump() ;	    
	System.exit(0);
    } // EndMain

} // EndClass ToyTestBed
